Object.defineProperty(exports,"__esModule",{value:!0});let APIFunction_1=require("../../structures/APIFunction");class AddPackage extends APIFunction_1.APIFunction{name="$addPackage";description="Adds a require package to the $jsEval code.";parameters=[{name:"Require Name",description:"How must this package be required.",type:APIFunction_1.ParamType.String,required:!0,rest:!1,defaultValue:null},{name:"Property",description:'Property to be required from the package. Use %default% to use the default CJS import: const package = require("package")',type:APIFunction_1.ParamType.String,required:!1,rest:!1,defaultValue:"%DEFAULT%"}];usage="$addPackage[requireName;property]";returns=APIFunction_1.ParamType.Unknown;aliases=["$define"];compile=!0;example=`
        $addPackage[mathjs;evaluate]
        $jsEval[false;console.log(evaluate("12 + 1"))]
    `;async run(e,[a,r="%DEFAULT%"]){e.internalVarExists("ADD_PKGS")||e.setInternalVar("ADD_PKGS",[]);var t=e.getInternalVar("ADD_PKGS");t.push({name:a,property:"%default%"===r.toLowerCase()?null:r}),e.setInternalVar("ADD_PKGS",t)}}exports.default=AddPackage;