import { APIFunction, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
import Reply from "./reply";
export default class SetType extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
        allowedValues: string[];
    }[];
    usage: string;
    returns: ParamType;
    compile: boolean;
    aliases: never[];
    parent: Reply;
    run(d: Data, [type]: string[]): Promise<void>;
}
