var { API } = require('../lib/main')

var server = new API({
    reverse: false,
    dots: false
});

// server.load('./__test__/routes');

server.route({
    url: "/image/profile_card",
    method: "GET",
    extraData: {
        description: "Generates a very cool profile card!",
        parameters: ["avatar", "banner?"]
    },
    code: `
        $eval[false;$import[$join[$cwd;__test__/callbacks.js];sendFunction]]
        
        $let[avatarURL;$query[avatar]]
        $if[$get[avatarURL]==null;
            $reply[
                $setCode[400]
                $setType[json]
                $setBody[{ "error": "Missing image URL in query parameters." }]
            ]
            $break
        ]
        
        $let[bannerURL;$query[banner]]
        $let[bannerResolved;null]
        $stmt[
            $if[$get[bannerURL]==null;
                $let[bannerResolved;./images/akklksalk]
            ]
            $else[
                $let[bannerResolved;$get[banner]]
            ]
        ]
        
        $log[AVATAR_URL: $get[avatarURL]]
        $log[BANNER_URL: $get[bannerResolved]]
        $log[$routeData[/image/profile_card;description]]
    `
});

server.setNotFoundHandler(`
$reply[
    $setCode[404]
    $setType[json]
    $setBody[{ "error": "Route not found, pendejo." }]
]
`);

server.connect({
    port: 2500
});