import { APIFunction, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class Method extends APIFunction {
    name: string;
    description: string;
    parameters: never[];
    usage: string;
    returns: ParamType;
    aliases: never[];
    compile: boolean;
    run(d: Data): Promise<string>;
}
